Move to next node in document

- « XMLReader::open

- XMLReader::readInnerXml »

- PHP Manual
- XMLReader
- Move to next node in document

# XMLReader::read

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::read — Move to next node in document

### Description

public XMLReader::read(): bool

Moves cursor to the next node in the document.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- XMLReader::moveToElement() - Position cursor on the parent Element of current Attribute
- XMLReader::moveToAttribute() - Move cursor to a named attribute
- XMLReader::next() - Move cursor to next node skipping all subtrees